Magento Forum

   
Upgrade to 1.6 vis Connect error when install community/Mage_Core_Modules
 
ctrol
Member
 
Total Posts:  43
Joined:  2010-10-22
 

Every time install community/Mage_Core_Modules
It just stop here,and i waited a long time,it nerver scroll again
and i vistit http://www.domain.com/downloader it just showsas follows
and after ,it crushed
can any body teach me how to upgrade to 1.6 vis connect or another way easily
thx very much!

Image Attachments
111.JPG222.JPG
 
Magento Community Magento Community
Magento Community
Magento Community
 
ctrol
Member
 
Total Posts:  43
Joined:  2010-10-22
 

I can’t install community/Mage_Core_Modules
it always shows this when i run magento downloader:
installChecking dependencies of packages
Already installed: community/Lib_Varien 1.6.0.0, skipping
Already installed: community/Lib_Google_Checkout 1.5.0.0, skipping
Already installed: community/Lib_Js_Calendar 1.51.1, skipping
Already installed: community/Lib_Js_Mage 1.6.0.0, skipping
Already installed: community/Lib_Phpseclib 1.5.0.0, skipping
Already installed: community/Mage_Locale_en_US 1.6.0.0, skipping
Already installed: community/Lib_Mage 1.6.0.0, skipping
Already installed: community/Lib_ZF 1.11.1.0, skipping
Already installed: community/Lib_Js_Prototype 1.7.0.0.1, skipping
Already installed: community/Lib_ZF_Locale 1.11.1.0, skipping

CONNECT ERROR: Package ‘Mage_Core_Modules’ is invalid
‘./app/code/core/Mage/Admin/Model/Acl/Assert/Time.php’ already exists

and i changed error/local.xml.sample to error/local.xml and in front shows:

Error in file"/home/content/v/a/n/vandol/html/magentest/app/code/core/Mage/Catalog/sql/catalog_setup/upgrade-1.6.0.0.1-1.6.0.0.2.php" SQLSTATE[23000]Integrity constraint violation1062 Duplicate entry '69-General' for key 2

Trace
:
#0 /home/content/v/a/n/vandol/html/magentest/app/code/core/Mage/Core/Model/Resource/Setup.php(645): Mage::exception('Mage_Core', 'Error in file: ...')
#1 /home/content/v/a/n/vandol/html/magentest/app/code/core/Mage/Core/Model/Resource/Setup.php(437): Mage_Core_Model_Resource_Setup->_modifyResourceDb('upgrade', '1.6.0.0', '1.6.0.0.5')
#2 /home/content/v/a/n/vandol/html/magentest/app/code/core/Mage/Core/Model/Resource/Setup.php(320): Mage_Core_Model_Resource_Setup->_upgradeResourceDb('1.6.0.0', '1.6.0.0.5')
#3 /home/content/v/a/n/vandol/html/magentest/app/code/core/Mage/Core/Model/Resource/Setup.php(235): Mage_Core_Model_Resource_Setup->applyUpdates()
#4 /home/content/v/a/n/vandol/html/magentest/app/code/core/Mage/Core/Model/App.php(408): Mage_Core_Model_Resource_Setup::applyAllUpdates()
#5 /home/content/v/a/n/vandol/html/magentest/app/code/core/Mage/Core/Model/App.php(336): Mage_Core_Model_App->_initModules()
#6 /home/content/v/a/n/vandol/html/magentest/app/Mage.php(640): Mage_Core_Model_App->run(Array)
#7 /home/content/v/a/n/vandol/html/magentest/index.php(80): Mage::run('', 'store')
#8 {main}
Do anyone got a solution ?

Image Attachments
333.jpg
 
Magento Community Magento Community
Magento Community
Magento Community
 
John
Sr. Member
 
Avatar
Total Posts:  129
Joined:  2007-12-20
Sheffield, United Kingdom
 

I only got the duplicate key issue when I had a system with reduced systems resources.  So check the php_value memory_limit and php_value max_execution_time.

Now that I have increased those I now get other issues grin

regards
John

 
Magento Community Magento Community
Magento Community
Magento Community
 
ctrol
Member
 
Total Posts:  43
Joined:  2010-10-22
 
John - 15 September 2011 08:18 AM

I only got the duplicate key issue when I had a system with reduced systems resources.  So check the php_value memory_limit and php_value max_execution_time.

Now that I have increased those I now get other issues grin

regards
John

Thanks for your replay,
but my shared hosting plan not allow me to change the the php_value memory_limit and php_value max_execution_time.
any other way ?
Or the Magento 1.5.1 nerver allows users upgrade to 1.6.0 ?

 
Magento Community Magento Community
Magento Community
Magento Community
 
John
Sr. Member
 
Avatar
Total Posts:  129
Joined:  2007-12-20
Sheffield, United Kingdom
 

I think you have these options

1.  If you can’t do the upgrade on your host provider then you could move the DB off to a test box and do the upgrade there and then move back.  (I have a Rackspace account and it costs me pence to do this, although you will have to setup your environment)
- http://www.magentocommerce.com/wiki/1_-_installation_and_configuration/magento_1.5_to_1.6_upgrade
- http://www.magentocommerce.com/wiki/1_-_installation_and_configuration/manual_upgrade_using_fresh_install_and_original_database

2.  Speak nicely to your hosting provider and ask for an increase in execution time for a window of time.  That’s what i have done in the past

3.  Move host.  If they do not support the Magneto upgrade process / minimum environment then they are the wrong partner.

Regards
John

 
Magento Community Magento Community
Magento Community
Magento Community
 
ctrol
Member
 
Total Posts:  43
Joined:  2010-10-22
 
John - 19 September 2011 03:46 AM

I think you have these options

1.  If you can’t do the upgrade on your host provider then you could move the DB off to a test box and do the upgrade there and then move back.  (I have a Rackspace account and it costs me pence to do this, although you will have to setup your environment)
- http://www.magentocommerce.com/wiki/1_-_installation_and_configuration/magento_1.5_to_1.6_upgrade
- http://www.magentocommerce.com/wiki/1_-_installation_and_configuration/manual_upgrade_using_fresh_install_and_original_database

2.  Speak nicely to your hosting provider and ask for an increase in execution time for a window of time.  That’s what i have done in the past

3.  Move host.  If they do not support the Magneto upgrade process / minimum environment then they are the wrong partner.

Regards
John

Thanks for you advise John
Yes, i’m upgrading it in a local test server,and i have set time limit to 0
but now the error is:

Error in file: “D:\HostingServer\www\htdocs\domain.com\app\code\core\Mage\Catalog\sql\catalog_setup\upgrade-1.6.0.0.1-1.6.0.0.2.php” - SQLSTATE[23000]: Integrity constraint violation: 1062 Duplicate entry ‘69-General’ for key ‘UNQ_EAV_ATTRIBUTE_GROUP_ATTRIBUTE_SET_ID_ATTRIBUTE_GROUP_NAME’

 
Magento Community Magento Community
Magento Community
Magento Community
 
ctrol
Member
 
Total Posts:  43
Joined:  2010-10-22
 
ctrol - 21 September 2011 03:37 AM

John - 19 September 2011 03:46 AM
I think you have these options

1.  If you can’t do the upgrade on your host provider then you could move the DB off to a test box and do the upgrade there and then move back.  (I have a Rackspace account and it costs me pence to do this, although you will have to setup your environment)
- http://www.magentocommerce.com/wiki/1_-_installation_and_configuration/magento_1.5_to_1.6_upgrade
- http://www.magentocommerce.com/wiki/1_-_installation_and_configuration/manual_upgrade_using_fresh_install_and_original_database

2.  Speak nicely to your hosting provider and ask for an increase in execution time for a window of time.  That’s what i have done in the past

3.  Move host.  If they do not support the Magneto upgrade process / minimum environment then they are the wrong partner.

Regards
John

Thanks for you advise John
Yes, i’m upgrading it in a local test server,and i have set time limit to 0
but now the error is:

Error in file: “D:\HostingServer\www\htdocs\domain.com\app\code\core\Mage\Catalog\sql\catalog_setup\upgrade-1.6.0.0.1-1.6.0.0.2.php” - SQLSTATE[23000]: Integrity constraint violation: 1062 Duplicate entry ‘69-General’ for key ‘UNQ_EAV_ATTRIBUTE_GROUP_ATTRIBUTE_SET_ID_ATTRIBUTE_GROUP_NAME’

Just delete the error files and it goes through.
Maybe this will help others,but i hope there is a better way to share rather than delete them.

 
Magento Community Magento Community
Magento Community
Magento Community
 
aaronwallace
Member
 
Total Posts:  59
Joined:  2011-07-18
 

Here is a blog regarding Magento Upgrade via Connect Manager. please have a look , if this could help.
http://www.expertmagentodevelopers.com/blog/upgrade-to-magento-1-6-using-magento-connect-manager/

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
    Back to top